## GtkBin GtkBin — A container with just one child |

## Functions

GtkWidget * | gtk_bin_get_child ()

## Types and Values

struct | GtkBin
struct | GtkBinClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ├── GtkWindow
                        ├── GtkActionBar
                        ├── GtkAlignment
                        ├── GtkComboBox
                        ├── GtkFrame
                        ├── GtkButton
                        ├── GtkMenuItem
                        ├── GtkEventBox
                        ├── GtkExpander
                        ├── GtkFlowBoxChild
                        ├── GtkHandleBox
                        ├── GtkListBoxRow
                        ├── GtkToolItem
                        ├── GtkOverlay
                        ├── GtkScrolledWindow
                        ├── GtkPopover
                        ├── GtkRevealer
                        ├── GtkSearchBar
                        ├── GtkStackSidebar
                        ╰── GtkViewport

## Implemented Interfaces

GtkBin implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkBin widget is a container with just one child. It is not very useful itself, but it is useful for deriving subclasses, since it provides common code needed for handling a single child widget.

Many GTK+ widgets are subclasses of GtkBin, including GtkWindow, GtkButton, GtkFrame, GtkHandleBox or GtkScrolledWindow.

## Functions

### gtk_bin_get_child ()

    GtkWidget *
    gtk_bin_get_child (GtkBin *bin);

Gets the child of the GtkBin, or `NULL` if the bin contains no child widget. The returned widget does not have a reference added, so you do not need to unref it.

#### Parameters

bin | a GtkBin |

#### Returns

the child of `bin` , or `NULL` if it does not have a child.

[transfer none][nullable]

## Types and Values

### struct GtkBin

    struct GtkBin;

### struct GtkBinClass

    struct GtkBinClass {
      GtkContainerClass parent_class;
    };

#### Members